Package org.gradle.api.tasks

# Enum Class PathSensitivity

java.lang.Object
java.lang.Enum<PathSensitivity>
org.gradle.api.tasks.PathSensitivity

All Implemented Interfaces:
  `Serializable`, `Comparable<PathSensitivity>`, `Constable`

@Incubating public enum PathSensitivity extends Enum<PathSensitivity>
Enumeration of different path handling strategies for task properties.

Since:
  3.1
See Also:
  - `PathSensitive`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSOLUTE`
Consider the full path of files and directories.
`NAME_ONLY`
Consider only the name of files and directories.
`NONE`
Ignore file paths and directories altogether.
`RELATIVE`
Use the location of the file related to a hierarchy.

## Method Summary

Modifier and Type
Method
Description
`static PathSensitivity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PathSensitivity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABSOLUTE

public static final PathSensitivity ABSOLUTE
Consider the full path of files and directories.

### RELATIVE

public static final PathSensitivity RELATIVE
Use the location of the file related to a hierarchy.

### NAME_ONLY

public static final PathSensitivity NAME_ONLY
Consider only the name of files and directories.

### NONE

public static final PathSensitivity NONE
Ignore file paths and directories altogether.

## Method Details

### values

public static PathSensitivity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PathSensitivity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null